# Update a session store

Launch stage: Beta

`PATCH /api/2.0/agents/{name=session-stores/*}`

Updates a session store's description and metadata.

API scopes: agent-kit

## Path parameters

- `name` (string, required, ID, Immutable)
  Resource name in the form `session-stores/{session_store_id}`.

## Query parameters

- `update_mask` (string, required)
  Fields to update. Only `description` and `metadata` are mutable; any other
   path returns `INVALID_PARAMETER_VALUE`.

## Request body

Session store to update.
- `description` (string, optional)
  Human-readable description of the session store.
- `metadata` (object, optional)
  Mutable caller-defined string labels.

## Returns

Returns the SessionStore object.

## Response

```json
{
  "creator_user_id": "string",
  "create_time": "string",
  "update_time": "string",
  "description": "string",
  "metadata": {},
  "name": "string"
}
```

